CURLOPT_COOKIEFILE(3)

NAME
CURLOPT_COOKIEFILE - file name to read cookies from

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_COOKIEFILE, char *filename);

DESCRIPTION
Pass a pointer to a zero terminated string as parameter. It should point to the file name of your file holding cookie data to read. The cookie data can be in either the old Netscape / Mozilla cookie data format or just regular HTTP headers (Set-Cookie style) dumped to a file. It also enables the cookie engine, making libcurl parse and send cookies on subsequent requests with this handle. Given an empty or non-existing file or by passing the empty string ("") to this option, you can enable the cookie engine without reading any initial cookies. This option only reads cookies. To make libcurl write cookies to file, see CURLOPT_COOKIEJAR(3). Exercise caution if you are using this option and multiple transfers may occur. If you use the Set-Cookie format and don't specify a domain then the cookie is sent for any domain (even after redirects are followed) and cannot be modified by a server-set cookie. If a server sets a cookie of the same name then both will be sent on a future transfer to that server, likely not what you intended. To address these issues set a domain in Set-Cookie (doing that will include sub-domains) or use the Netscape format. If you use this option multiple times, you just add more files to read. Subsequent files will add more cookies. The application does not have to keep the string around after setting this option.

DEFAULT
NULL

PROTOCOLS
HTTP

EXAMPLE
TODO

AVAILABILITY
As long as HTTP is supported

RETURN VALUE
Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_COOKIE(3), CURLOPT_COOKIEJAR(3),